Skip to main content
`Ctrl`+`K`

# DMNetworkIsSharedVertex

Returns `PETSC_TRUE` if the vertex is shared by subnetworks

## Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkIsSharedVertex(DM dm, PetscInt p, PetscBool *flag)

Not Collective

## Input Parameters

- dm - the `DMNETWORK` object

- p - the vertex point

## Output Parameter

- flag - `PETSC_TRUE` if the vertex is shared by subnetworks

## See Also

`DM`, `DMNETWORK`, `DMNetworkAddSharedVertices()`, `DMNetworkIsGhostVertex()`

## Level

beginner

## Location

src/dm/impls/network/network.c

Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages